a {
    color: #006080;
}

a:hover {
    color: #004d66!important;
}

.login-pf body {
    background:#006080!important;
    background-size: cover;
    height: 100%;
}

/*IE compatibility*/
.pf-c-form-control {
    font-size: 14px;
    font-size: var(--pf-global--FontSize--sm);
    border-width: 1px;
    border-width: var(--pf-global--BorderWidth--sm);;
    border-color: #EDEDED #EDEDED #8A8D90 #EDEDED;
    border-color: var(--pf-global--BorderColor--300) var(--pf-global--BorderColor--300) var(--pf-global--BorderColor--200) var(--pf-global--BorderColor--300);
    background-color: #FFFFFF;
    background-color: var(--pf-global--BackgroundColor--100);
    height: 36px;
    height: calc(var(--pf-c-form-control--FontSize) * var(--pf-c-form-control--LineHeight) + var(--pf-c-form-control--BorderWidth) * 2 + var(--pf-c-form-control--PaddingTop) + var(--pf-c-form-control--PaddingBottom));
    padding: 5px 0.5rem;
    padding: var(--pf-c-form-control--PaddingTop) var(--pf-c-form-control--PaddingRight) var(--pf-c-form-control--PaddingBottom) var(--pf-c-form-control--PaddingLeft);
}

.pf-c-form-control:hover, .pf-c-form-control:focus {
    border-bottom-color: #0066CC;
    border-bottom-color: var(--pf-global--primary-color--100);
    border-bottom-width: 2px;
    border-bottom-width: var(--pf-global--BorderWidth--md);
}

.pf-c-form-control[aria-invalid="true"] {
    border-bottom-color: #C9190B;
    border-bottom-color: var(--pf-global--danger-color--100);
    border-bottom-width: 2px;
    border-bottom-width: var(--pf-global--BorderWidth--md);
}

.pf-c-alert.pf-m-inline {
    margin-bottom: 0.5rem; /* default - IE compatibility */
    margin-bottom: var(--pf-global--spacer--sm);
    padding: 0.25rem;
    padding: var(--pf-global--spacer--xs);
    border: solid #ededed;
    border: solid var(--pf-global--BorderColor--300);
    border-width: 1px;
    border-width: var(--pf-c-alert--m-inline--BorderTopWidth) var(--pf-c-alert--m-inline--BorderRightWidth) var(--pf-c-alert--m-inline--BorderBottomWidth) var(--pf-c-alert--m-inline--BorderLeftWidth);
    display: -ms-flexbox;
    display: grid;
    -ms-grid-columns: max-content 1fr max-content;
    grid-template-columns:max-content 1fr max-content;
    grid-template-columns: var(--pf-c-alert--grid-template-columns);
    grid-template-rows: 1fr auto;
    grid-template-rows: var(--pf-c-alert--grid-template-rows);
}

.pf-c-alert.pf-m-inline::before {
    position: absolute;
    top: -1px;
    top: var(--pf-c-alert--m-inline--before--Top);
    bottom: -1px;
    bottom: var(--pf-c-alert--m-inline--before--Bottom);
    left: 0;
    width: 3px;
    width: var(--pf-c-alert--m-inline--before--Width);
    content: "";
    background-color: #FFFFFF;
    background-color: var(--pf-global--BackgroundColor--100);
}

.pf-c-alert.pf-m-inline.pf-m-success::before {
    background-color: #92D400;
    background-color: var(--pf-global--success-color--100);
}

.pf-c-alert.pf-m-inline.pf-m-danger::before {
    background-color: #C9190B;
    background-color: var(--pf-global--danger-color--100);
}

.pf-c-alert.pf-m-inline.pf-m-warning::before {
    background-color: #F0AB00;
    background-color: var(--pf-global--warning-color--100);
}

.pf-c-alert.pf-m-inline .pf-c-alert__icon {
    padding: 1rem 0.5rem 1rem 1rem;
    padding: var(--pf-c-alert--m-inline__icon--PaddingTop) var(--pf-c-alert--m-inline__icon--PaddingRight) var(--pf-c-alert--m-inline__icon--PaddingBottom) var(--pf-c-alert--m-inline__icon--PaddingLeft);
    font-size: 16px;
    font-size: var(--pf-c-alert--m-inline__icon--FontSize);
}

.pf-c-alert.pf-m-success .pf-c-alert__icon {
    color: #92D400;
    color: var(--pf-global--success-color--100);
}

.pf-c-alert.pf-m-success .pf-c-alert__title {
    color: #486B00;
    color: var(--pf-global--success-color--200);
}

.pf-c-alert.pf-m-danger .pf-c-alert__icon {
    color: #C9190B;
    color: var(--pf-global--danger-color--100);
}

.pf-c-alert.pf-m-danger .pf-c-alert__title {
    color: #A30000;
    color: var(--pf-global--danger-color--200);
}

.pf-c-alert.pf-m-warning .pf-c-alert__icon {
    color: #F0AB00;
    color: var(--pf-global--warning-color--100);
}

.pf-c-alert.pf-m-warning .pf-c-alert__title {
    color: #795600;
    color: var(--pf-global--warning-color--200);
}

.pf-c-alert__title {
    font-size: 14px; /* default - IE compatibility */
    font-size: var(--pf-global--FontSize--sm);
    padding: 5px 8px;
    padding: var(--pf-c-alert__title--PaddingTop) var(--pf-c-alert__title--PaddingRight) var(--pf-c-alert__title--PaddingBottom) var(--pf-c-alert__title--PaddingLeft);
}

.pf-c-button{
    padding:0.375rem 1rem;
    padding: var(--pf-global--spacer--form-element) var(--pf-global--spacer--md);
}

/* default - IE compatibility */
.pf-m-primary {
    color: #FFFFFF;
    background-color: #0066CC;
    background-color: var(--pf-global--primary-color--100);
}

/* default - IE compatibility */
.pf-m-primary:hover {
    background-color: #004080;
    background-color: var(--pf-global--primary-color--200);
}

/* default - IE compatibility */
.pf-c-button.pf-m-control {
    border: solid 1px;
    border: solid var(--pf-global--BorderWidth--sm);
    border-color: rgba(230, 230, 230, 0.5);
}
/*End of IE compatibility*/

.pf-m-primary {
    background-color: #006080 !important;
    background-image: none;
}

.pf-m-primary:hover {
    background-color: #004d66;
}

#copyright, #copyright a {
    color: #fff;
    text-align: center;
    padding-top: 10px;
}

#copyright a:hover {
   color:#fff!important;
}

.alert-error {
    background-color: #ffffff;
    border-color: #cc0000;
    color: #333333;
}
#kc-locale ul {
    display: none;
    position: absolute;
    background-color: #fff;
    list-style: none;
    right: 0;
    top: 20px;
    min-width: 100px;
    padding: 2px 0;
    border: solid 1px #bbb;
}

#kc-locale:hover ul {
    display: block;
    margin: 0;
}

#kc-locale ul li a {
    display: block;
    padding: 5px 14px;
    color: #000 !important;
    text-decoration: none;
    line-height: 20px;
}

#kc-locale ul li a:hover {
    color: #4d5258;
    background-color: #d4edfa;
}

#kc-locale-dropdown a {
    color: #4d5258;
    background: 0 0;
    padding: 0 15px 0 0;
    font-weight: 300;
}

#kc-locale-dropdown a:hover {
    text-decoration: none;
}

a#kc-current-locale-link {
    display: block;
    padding: 0 5px;
}

/* a#kc-current-locale-link:hover {
    background-color: rgba(0,0,0,0.2);
} */

a#kc-current-locale-link::after {
    content: "\2c5";
    margin-left: 4px;
}

.login-pf .container {
    padding-top: 40px;
}

.login-pf a:hover {
    color: #0099d3;
}

#kc-logo {
    width: 100%;
}

#kc-logo-wrapper {
    background-image: url(../img/keycloak-logo-2.png);
    background-repeat: no-repeat;
    height: 63px;
    width: 300px;
    margin: 62px auto 0;
}

div.kc-logo-text {
    background-image: url(../img/keycloak-logo-text.png);
    background-repeat: no-repeat;
    height: 63px;
    width: 300px;
    margin: 0 auto;
}

div.kc-logo-text span {
    display: none;
}

#kc-header {
    color: #ededed;
    overflow: visible;
    white-space: nowrap;
}

#kc-header-wrapper {
    font-size: 0;
    height: 120px;
    margin-top: 20px;
    background: url(../img/logo-big.png) no-repeat center center;
}

#kc-content {
    width: 100%;
}

#kc-attempted-username {
    font-size: 20px;
    font-family: inherit;
    font-weight: normal;
    padding-right: 10px;
}

#kc-username {
    text-align: center;
}

#kc-webauthn-settings-form {
    padding-top: 8px;
}

#kc-form-wrapper {
    margin-top: 10px;
}

#kc-info {
    padding-bottom: 200px;
    margin-bottom: -200px;
}

#kc-info-wrapper {
    font-size: 13px;
}

#kc-form-options span {
    display: block;
}

#kc-form-options .checkbox {
    margin-top: 0;
    color: #72767b;
}

#kc-terms-text {
    margin-bottom: 20px;
}

#kc-registration {
    margin-bottom: 15px;
}

/* TOTP */

.subtitle {
    text-align: right;
    margin-top: 30px;
    color: #909090;
}

.required {
    color: #CB2915;
}

ol#kc-totp-settings {
    margin: 0;
    padding-left: 20px;
}

ul#kc-totp-supported-apps {
    margin-bottom: 10px;
}

#kc-totp-secret-qr-code {
    max-width:150px;
    max-height:150px;
}

#kc-totp-secret-key {
    background-color: #fff;
    color: #333333;
    font-size: 16px;
    padding: 10px 0;
}

/* OAuth */

#kc-oauth h3 {
    margin-top: 0;
}

#kc-oauth ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

#kc-oauth ul li {
    border-top: 1px solid rgba(255, 255, 255, 0.1);
    font-size: 12px;
    padding: 10px 0;
}

#kc-oauth ul li:first-of-type {
    border-top: 0;
}

#kc-oauth .kc-role {
    display: inline-block;
    width: 50%;
}

/* Code */
#kc-code textarea {
    width: 100%;
    height: 8em;
}

/* Social */
.kc-social-links {
    margin-top: 20px;
}

.kc-social-provider-logo {
    font-size: 23px;
    width: 30px;
    height: 25px;
    float: left;
}

.kc-social-gray {
    color: #737679; /* default - IE compatibility */
    color: var(--pf-global--Color--200);
}

.kc-social-item {
    margin-bottom: 0.5rem; /* default - IE compatibility */
    margin-bottom: var(--pf-global--spacer--sm);
    font-size: 15px;
    text-align: center;
}

.kc-social-provider-name {
    position: relative;
    top: 3px;
}

.kc-social-icon-text {
    left: -15px;
}

.kc-social-grid {
    display:grid;
    grid-column-gap: 10px;
    grid-row-gap: 5px;
    grid-column-end: span 6;
    --pf-l-grid__item--GridColumnEnd: span 6;
}

.kc-social-grid .kc-social-icon-text {
    left: -10px;
}

.kc-login-tooltip {
    position: relative;
    display: inline-block;
}

.kc-social-section {
    text-align: center;
}

.kc-social-section hr{
    margin-bottom: 10px
}

.kc-login-tooltip .kc-tooltip-text{
    top:-3px;
    left:160%;
    background-color: black;
    visibility: hidden;
    color: #fff;

    min-width:130px;
    text-align: center;
    border-radius: 2px;
    box-shadow:0 1px 8px rgba(0,0,0,0.6);
    padding: 5px;

    position: absolute;
    opacity:0;
    transition:opacity 0.5s;
}

/* Show tooltip */
.kc-login-tooltip:hover .kc-tooltip-text {
    visibility: visible;
    opacity:0.7;
}

/* Arrow for tooltip */
.kc-login-tooltip .kc-tooltip-text::after {
    content: " ";
    position: absolute;
    top: 15px;
    right: 100%;
    margin-top: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: transparent black transparent transparent;
}

#kc-social-providers ul {
    padding: 0;
}

#kc-social-providers li {
    display: block;
}

#kc-social-providers li:first-of-type {
    margin-top: 0;
}
@media (min-width: 768px) {
    #kc-container-wrapper {
        position: absolute;
        width: 100%;
    }

    .login-pf .container {
        padding-right: 80px;
    }

    #kc-locale {
        position: relative;
        text-align: right;
        z-index: 9999;
    }
}

@media (max-width: 767px) {

    .login-pf body {
        background: #006080;
    }

    #kc-header {
        padding-left: 15px;
        padding-right: 15px;
        float: none;
        text-align: left;
    }

    #kc-header-wrapper {
        font-size: 0;
        font-weight: bold;
        padding: 20px 60px 0 0;
        color: #72767b;
        letter-spacing: 0;
    }

    div.kc-logo-text {
        margin: 0;
        width: 150px;
        height: 32px;
        background-size: 100%;
    }

    #kc-form {
        float: none;
    }

    #kc-info-wrapper {
        border-top: 1px solid rgba(255, 255, 255, 0.1);
        margin-top: 15px;
        padding-top: 15px;
        padding-left: 0px;
        padding-right: 15px;
    }

    #kc-social-providers li {
        display: block;
        margin-right: 5px;
    }

    .login-pf .container {
        padding-top: 15px;
        padding-bottom: 15px;
    }

    #kc-locale {
        position: absolute;
        width: 200px;
        top: 20px;
        right: 20px;
        text-align: right;
        z-index: 9999;
    }

    #kc-logo-wrapper {
        background-size: 100px 21px;
        height: 21px;
        width: 100px;
        margin: 20px 0 0 20px;
    }

}

@media (min-height: 646px) {
    #kc-container-wrapper {
        bottom: 12%;
    }
}

@media (max-height: 645px) {
    #kc-container-wrapper {
        padding-top: 50px;
        top: 20%;
    }
}

.card-pf form.form-actions .btn {
    float: right;
    margin-left: 10px;
}

#kc-form-buttons {
    margin-top: 40px;
}

.login-pf-page .login-pf-brand {
    margin-top: 20px;
    max-width: 360px;
    width: 40%;
}

/* Internet Explorer 11 compatibility workaround for select-authenticator screen */
@media all and (-ms-high-contrast: none),
(-ms-high-contrast: active) {
    .select-auth-box-parent {
        border-top: 1px solid #f0f0f0;
        padding-top: 1rem;
        padding-bottom: 1rem;
        cursor: pointer;
    }

    .select-auth-box-headline {
        font-size: 16px;
        color: #06c;
        font-weight: bold;
    }

    .select-auth-box-desc {
        font-size: 14px;
    }

    .pf-l-stack {
        flex-basis: 100%;
    }
}
/* End of IE11 workaround for select-authenticator screen */

.select-auth-box-arrow{
    display: flex;
    align-items: center;
    margin-right: 2rem;
}

.select-auth-box-icon{
    display: flex;
    flex: 0 0 2em;
    justify-content: center;
    margin-right: 1rem;
    margin-left: 3rem;
}

.select-auth-box-parent{
    border-top: 1px solid var(--pf-global--palette--black-200);
    padding-top: 1rem;
    padding-bottom: 1rem;
    cursor: pointer;
}

.select-auth-box-parent:hover{
    background-color: #f7f8f8;
}

.select-auth-container {
    padding-bottom: 0px !important;
}

.select-auth-box-headline {
    font-size: var(--pf-global--FontSize--md);
    color: var(--pf-global--primary-color--100);
    font-weight: bold;
}

.select-auth-box-desc {
    font-size: var(--pf-global--FontSize--sm);
}

.card-pf {
    margin: 0 auto;
    box-shadow: var(--pf-global--BoxShadow--lg);
    padding: 0 20px;
    max-width: 500px;
    border-top: 4px solid;
    border-color: #0066CC; /* default - IE compatibility */
    border-color: var(--pf-global--primary-color--100);
}

/*tablet*/
@media (max-width: 840px) {
    .login-pf-page .card-pf{
      max-width: none;
      margin-left: 20px;
      margin-right: 20px;
      padding: 20px 20px 30px 20px;
    }
}

/*phone*/
@media (max-width: 767px) {
    .login-pf-page .card-pf {
        max-width: none;
        margin-left: 0;
        margin-right: 0;
        padding-top: 0;
        border-top: 0;
        box-shadow: 0 0;
    }

    .kc-social-grid {
        grid-column-end: 12;
        --pf-l-grid__item--GridColumnEnd: span 12;
    }

    .kc-social-grid .kc-social-icon-text {
        left: -15px;
    }
}

.login-pf-page .login-pf-signup {
    font-size: 15px;
    color: #72767b;
}
#kc-content-wrapper .row {
    margin-left: 0;
    margin-right: 0;
}

.login-pf-page.login-pf-page-accounts {
    margin-left: auto;
    margin-right: auto;
}

.login-pf-page .btn-primary {
    margin-top: 0;
}

.login-pf-page .list-view-pf .list-group-item {
    border-bottom: 1px solid #ededed;
}

.login-pf-page .list-view-pf-description {
    width: 100%;
}

#kc-form-login div.form-group:last-of-type,
#kc-register-form div.form-group:last-of-type,
#kc-update-profile-form div.form-group:last-of-type {
    margin-bottom: 0px;
}

.no-bottom-margin {
    margin-bottom: 0;
}

#kc-back {
    margin-top: 5px;
}
